class MQPAllMut extends Mutator;

var() float SpeedIncrease;

// Only allow one instance of this mutator.
function AddMutator(Mutator M) {
    if ( M != Self )
        Super.AddMutator(M);
}

// Do not allow MQPLandMiner to be replaced or removed.
function bool AlwaysKeep(Actor Other) {
    if( Other.IsA('MQPLandMiner') || Other.IsA('MQPGlueBomber') || Other.IsA('MQPCaltropDropper'))
        return true;

    return Super.AlwaysKeep(Other);
}

function ModifyPlayer(Pawn Other) {
    Other.GiveWeapon("myMod.MQPLandMiner");
    Other.GiveWeapon("myMod.MQPCaltropDropper");
    Other.GiveWeapon("myMod.MQPGlueBomber");
    Super.ModifyPlayer(Other);
}

function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
    if ( Other.IsA('Weapon') ) {
        if ( Other.IsA('ShieldGun') ) {
            ReplaceWith( Other, "XWeapons.MQPCaltropDropper" );
            return false;
        }
    }

    if ( Other.IsA('Weapon') ) {
        if ( Other.IsA('AssaultRifle') ) {
            ReplaceWith( Other, "XWeapons.MQPLandMiner" );
            return false;
        }
    }

    if ( Other.IsA('Weapon') ) {
        if ( Other.IsA('BioRifle') ) {
            ReplaceWith( Other, "XWeapons.MQPGlueBomber" );
            return false;
        }
    }

    return true;
}

function PreBeginPlay()
{
    SetTimer(1.0,true);
}

function Timer()
{
    local Controller C;

    for (C = Level.ControllerList; C != None; C = C.NextController)
    {
    if (C.Pawn != None)
        {
            if((C.Pawn.GroundSpeed + SpeedIncrease) > 440)
            	C.Pawn.GroundSpeed = 440;
            else
            	C.Pawn.GroundSpeed += SpeedIncrease;

        }
    }
}

defaultProperties
{
    SpeedIncrease=5
    GroupName="MQPAllMut"
    FriendlyName="MQPAllMut"
    Description="Contains all the mutators req'd for xBoobyTrap."
}
