class MQPCaltropDropperMutator extends Mutator;


// Only allow one instance of this mutator.
function AddMutator(Mutator M) {
    if ( M != Self )
        Super.AddMutator(M);
}


// Do not allow MQPCaltropDropper to be replaced or removed.
function bool AlwaysKeep(Actor Other) {
    if( Other.IsA('MQPCaltropDropper') )
        return true;
    return Super.AlwaysKeep(Other);
}


// Replace the default weapon with MQPCaltropDropper when a player spawn.
function ModifyPlayer(Pawn Other) {
    Other.GiveWeapon("myMod.MQPCaltropDropper");
    Super.ModifyPlayer(Other);
}


// Replace ShieldGun with MQPCaltropDropper
function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
    if ( Other.IsA('Weapon') ) {
        if ( Other.IsA('ShieldGun') ) {
            ReplaceWith( Other, "XWeapons.MQPCaltropDropper" );
            return false;
        }
    }
    return true;
}

defaultproperties{
  description = "Replaces the shield gun with a MQPCaltropDropper.";
}