class MQPGlueBomberMutator extends Mutator;


// Only allow one instance of this mutator.
function AddMutator(Mutator M) {
    if ( M != Self )
        Super.AddMutator(M);
}


// Do not allow MQPGlueBomber to be replaced or removed.
function bool AlwaysKeep(Actor Other) {
    if( Other.IsA('MQPGlueBomber') )
        return true;
    return Super.AlwaysKeep(Other);
}


// Replace the default weapon with MQPGlueBomber when a player spawn.
function ModifyPlayer(Pawn Other) {
    Other.GiveWeapon("myMod.MQPGlueBomber");
    Super.ModifyPlayer(Other);
}


// Replace BioRifle with GlueBomber
function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
    if ( Other.IsA('Weapon') ) {
        if ( Other.IsA('Translocator') ) {
            ReplaceWith( Other, "XWeapons.MQPGlueBomber" );
            return false;
        }
    }
    return true;
}

defaultproperties{
  description = "Replaces the BioRifle with a MQPGlueBomber.";
}
