class MQPLandMinerMutator extends Mutator;


// Only allow one instance of this mutator.
function AddMutator(Mutator M) {
    if ( M != Self )
        Super.AddMutator(M);
}


// Do not allow MQPLandMiner to be replaced or removed.
function bool AlwaysKeep(Actor Other) {
    if( Other.IsA('MQPLandMiner') )
        return true;
    return Super.AlwaysKeep(Other);
}


// Replace the default weapon with MQPLandMiner when a player spawn.
function ModifyPlayer(Pawn Other) {
    Other.GiveWeapon("myMod.MQPLandMiner");
    Super.ModifyPlayer(Other);
}


// Replace assaultrifle with MQPLandminer
function bool CheckReplacement(Actor Other, out byte bSuperRelevant) {
    if ( Other.IsA('Weapon') ) {
        if ( Other.IsA('AssaultRifle') ) {
            ReplaceWith( Other, "XWeapons.MQPLandMiner" );
            return false;
        }
    }
    return true;
}

defaultproperties{
  description = "Replaces the assault rifle with a MQPLandMiner.";
}