// This is my demo for creating a custom hud.
// This file describes the new gametype

class xBoobyTrap extends xCTFGame;

var globalconfig bool bMQPUtil;
var globalconfig bool bMQPLandMine;
var globalconfig bool bMQPCaltrop;
var globalconfig bool bMQPGlueBomb;

static function FillPlayInfo(PlayInfo PlayInfo)
{
    Super.FillPlayInfo(PlayInfo);

	PlayInfo.AddSetting(default.RulesGroup, "bMQPUtil", class'MQPUtilities'.default.Description, 0, 1, "Check");
	PlayInfo.AddSetting(default.RulesGroup, "bMQPLandMine", class'MQPLandMinerMutator'.default.Description, 0, 1, "Check");
	PlayInfo.AddSetting(default.RulesGroup, "bMQPCaltrop", class'MQPCaltropDropperMutator'.default.Description, 0, 1, "Check");
	PlayInfo.AddSetting(default.RulesGroup, "bMQPGlueBomb", class'MQPGlueBomberMutator'.default.Description, 0, 1, "Check");
}

static event bool AcceptPlayInfoProperty(string PropertyName)
{
	return Super.AcceptPlayInfoProperty(PropertyName);
}

function bool AllowTransloc()
{
	return false;
}

static function bool NeverAllowTransloc()
{
	return true;
}

defaultproperties
{
     bMQPGlueBomb=True
     bMQPCaltrop=True
     bMQPLandMine=True
     bMQPUtil=True
     MutatorClass="myMod.MQPAllMut"
     PlayerControllerClassName="myMod.xPlayerMQP"
     GameName="Booby Trap"
     Description="An assortment of traps are at the players' disposal for use in their strategies to usurp their opponents. Traps vary greatly in quantity, the execution time for placement, quality of damage, and damage types being physical or speed reduction.";
     HUDType="myMod.HudMQP"
     Acronym="BT"
     BeaconName="BT"
     MapPrefix="BT"
     bDefaultTranslocator=False
     bAllowTrans=False
}
