class MQPMakeMine extends ProjectileFire;

#exec OBJ LOAD FILE=..\Sounds\NewWeaponSounds.uax

const               mNumMines = 6;

var AssaultRifle    mGun;

var() float         mWaitTime;

defaultproperties
{
     mWaitTime=10
     ProjSpawnOffset=(X=25.000000,Y=10.000000,Z=0.000000)
     bSplashDamage=True
     bRecommendSplashDamage=True
     bTossed=True
     bFireOnRelease=True
     FireAnimRate=0.500000
     FireSound=Sound'NewWeaponSounds.NewGrenadeShoot'
     ReloadSound=Sound'WeaponSounds.BaseGunTech.BReload9'
     FireForce="AssaultRifleAltFire"
     ReloadForce="BReload9"
     FireRate=1.000000
     AmmoClass=Class'myMod.MQPLandmineAmmo'

     //How much ammunition is consumed to use this projectile
     AmmoPerFire=0 // Holes are free to make right now :3

     ShakeRotTime=2.000000
     ShakeOffsetMag=(X=-20.000000)
     ShakeOffsetRate=(X=-1000.000000)
     ShakeOffsetTime=2.000000
     ProjectileClass=Class'MQPLandmine'
     BotRefireRate=0.250000
     FlashEmitterClass=Class'XEffects.AssaultMuzFlash1st'
}

function PostBeginPlay()
{
    Super.PostBeginPlay();
    mGun = AssaultRifle(Weapon);
    FireRate = mWaitTime;
}

function DrawMuzzleFlash(Canvas Canvas) {}

simulated function bool AllowFire()
{
    if (Super.AllowFire())
       return true;
    else
    {
       return false;
    }
}

function InitEffects()
{
    Super.InitEffects();
    if ( FlashEmitter != None )
		Weapon.AttachToBone(FlashEmitter, 'tip2');
}


function DoFireEffect()
{

    local Vector StartProj, StartTrace, X,Y,Z;
    local Rotator Aim;
    local Vector HitLocation, HitNormal;
    local Actor Other;

    Instigator.MakeNoise(1.0);
    Weapon.GetViewAxes(X,Y,Z);

    StartTrace = Instigator.Location + Instigator.EyePosition(); // + X*Instigator.CollisionRadius;
    StartProj = StartTrace + X*ProjSpawnOffset.X;

    if ( !Weapon.WeaponCentered() )
	    StartProj = StartProj + Weapon.Hand * Y*ProjSpawnOffset.Y + Z*ProjSpawnOffset.Z;

    // check if projectile would spawn through a wall and adjust start location accordingly
    Other = Weapon.Trace(HitLocation, HitNormal, StartProj, StartTrace, false);

    if (Other != None)
    {
        StartProj = HitLocation;
    }

    //Calculate aim based on the starting projection and modify with artificial margin of error.
    Aim = AdjustAim(StartProj, AimError);

    //Firing! Let the client know that, hehe
    Instigator.ClientMessage("Firing a mine");
    Instigator.ClientMessage(Aim);


    //Spawn a projectile - this weapon's product of using it!
    SpawnProjectile(StartProj, Aim);
    Weapon.PlaySound(FireSound,SLOT_Interact,TransientSoundVolume,,512.0,,false);
}

function projectile SpawnProjectile(Vector Start, Rotator Dir)
{
    local MQPLandmine g;

    g = Weapon.Spawn(class'MQPLandmine', instigator,, Start, Dir);

    if (g != None)
    {
        g.Speed = 0;
        g.Velocity = vect(0,0,-100); //shoot the grenade at 10 into the ground

        g.Damage = 5000;
    }
    return g;
}

simulated function ReturnToIdle()
{
    GotoState('Idle');
}

// Client-side only: update the first person drum rotation

simulated function int WrapPostIncr(out int count)
{
    local int oldcount;
    oldcount = count;
    if (++count >= mNumMines)
        count = 0;
    return oldcount;
}

function PlayPreFire()   {}
function PlayStartHold() {}
function PlayFiring()    {}
function PlayFireEnd()   {}

auto state Idle
{
    function StopFiring()
    {
        GotoState('Wait');

        Super.StopFiring();
    }
}

state Wait
{
    function BeginState()
    {
        SetTimer(mWaitTime, false);
    }

    function Timer() //once the Timer above goes off - load the next ammunition.
    {
	GotoState('Idle'); //goto idle if out of ammo?
    }
}

function StartBerserk()
{

}

function StopBerserk()
{

}

function StartSuperBerserk()
{

}
